# -*-makefile-*-
# $Id$
#
# Copyright (C) 2007 by Juergen Beisert
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GEODE_FRAMEBUFFER) += geode-framebuffer

#
# Paths and names
#
GEODE_FRAMEBUFFER		:= geode-framebuffer
GEODE_FRAMEBUFFER_URL		:= file://local_src/xf86-video-geode_gx1
GEODE_FRAMEBUFFER_SOURCE	:= $(SRCDIR)/$(GEODE_FRAMEBUFFER)
GEODE_FRAMEBUFFER_DIR		:= $(BUILDDIR)/$(GEODE_FRAMEBUFFER)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

geode-framebuffer_get: $(STATEDIR)/geode-framebuffer.get

$(STATEDIR)/geode-framebuffer.get: $(geode-framebuffer_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(GEODE_FRAMEBUFFER_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, GEODE_FRAMEBUFFER)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

geode-framebuffer_extract: $(STATEDIR)/geode-framebuffer.extract

$(STATEDIR)/geode-framebuffer.extract: $(geode-framebuffer_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(GEODE_FRAMEBUFFER_DIR))
	@$(call extract, GEODE_FRAMEBUFFER)
	@$(call patchin, GEODE_FRAMEBUFFER)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

geode-framebuffer_prepare: $(STATEDIR)/geode-framebuffer.prepare

GEODE_FRAMEBUFFER_PATH	:= PATH=$(CROSS_PATH)
GEODE_FRAMEBUFFER_ENV 	:= $(CROSS_ENV)

GEODE_FRAMEBUFFER_AUTOCONF := --enable-shared \
	--enable-dependency-tracking

$(STATEDIR)/geode-framebuffer.prepare: $(geode-framebuffer_prepare_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(GEODE_FRAMEBUFFER_DIR)/config.cache)
	cd $(GEODE_FRAMEBUFFER_DIR) && \
		$(GEODE_FRAMEBUFFER_PATH) $(GEODE_FRAMEBUFFER_ENV) \
		./configure $(GEODE_FRAMEBUFFER_AUTOCONF)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

geode-framebuffer_compile: $(STATEDIR)/geode-framebuffer.compile

$(STATEDIR)/geode-framebuffer.compile: $(geode-framebuffer_compile_deps_default)
	@$(call targetinfo, $@)
	cd $(GEODE_FRAMEBUFFER_DIR) && $(GEODE_FRAMEBUFFER_ENV) \
		$(GEODE_FRAMEBUFFER_PATH) $(MAKE)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

geode-framebuffer_install: $(STATEDIR)/geode-framebuffer.install

$(STATEDIR)/geode-framebuffer.install: $(geode-framebuffer_install_deps_default)
	@$(call targetinfo, $@)
	@$(call install, GEODE_FRAMEBUFFER)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

geode-framebuffer_targetinstall: $(STATEDIR)/geode-framebuffer.targetinstall

$(STATEDIR)/geode-framebuffer.targetinstall: $(geode-framebuffer_targetinstall_deps_default)
	@$(call targetinfo, $@)

	@$(call install_init, geode-framebuffer)
	@$(call install_fixup,geode-framebuffer,PACKAGE,geode-framebuffer)
	@$(call install_fixup,geode-framebuffer,PRIORITY,optional)
	@$(call install_fixup,geode-framebuffer,VERSION,0)
	@$(call install_fixup,geode-framebuffer,SECTION,base)
	@$(call install_fixup,geode-framebuffer,AUTHOR,"Juergen Beisert")
	@$(call install_fixup,geode-framebuffer,DEPENDS,)
	@$(call install_fixup,geode-framebuffer,DESCRIPTION,missing)

	@$(call install_copy, geode-framebuffer, 0, 0, 0755, \
		$(GEODE_FRAMEBUFFER_DIR)/src/.libs/fbdev_drv.so, \
		/usr/lib/xorg/modules/fbdev_drv.so)

	@$(call install_finish,geode-framebuffer)

	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

geode-framebuffer_clean:
	rm -rf $(STATEDIR)/geode-framebuffer.*
	cd $(GEODE_FRAMEBUFFER_DIR) && $(GEODE_FRAMEBUFFER_ENV) $(GEODE_FRAMEBUFFER_PATH) make clean

# vim: syntax=make
